Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.mesh
Class MeshSection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector
                  net.sourceforge.arbaro.mesh.MeshSection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class MeshSection

extends java.util.Vector

Author:
  wdiestel TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Field Summary
`double` | `mapV`
`MeshSection` | `next`
`MeshSection` | `previous`

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MeshSection(int ptcnt, double v)`

Method Summary
`void` | `addPoint(Vector pt, double mapU)` Adds a point to the mesh section
`java.util.Enumeration` | `allFaces(int startIndex, boolean UVFaces, boolean useQuads)`
`java.util.Enumeration` | `allVertices(boolean UVVertices)`
`Vector` | `down(int i)` Returns the point below the point number i (from the previous section).
`int` | `faceCount(boolean useQuads)` Returns the number of faces between this section and the next one.
`Vector` | `here(int i)` Returns the point number i.
`boolean` | `isFirst()`
`boolean` | `isLast()`
`Vector` | `left(int i)` Returns the point to the left of the point number i
`Vector` | `normal(Vector a, Vector b, Vector c)` Returns the normal of the plane built by the vectors a-b and c-b
`Vector` | `normalAt(int i)` Returns the normal of the vertex i.
`Vector` | `pointAt(int i)` Returns the location point of the vertex i.
`Vector` | `right(int i)` Returns the point to the right of the point number i
`void` | `setNormalsDown()` Sets all normals to the average of the two left and right lower triangles
`void` | `setNormalsToVector(Vector vec)` Sets all normals to the vector vec
`void` | `setNormalsUp()` Sets all normals to the average of the two left and right upper triangles
`void` | `setNormalsUpDown()` Sets all normals to the average of the four left and right upper and lower triangles
`Vector` | `up(int i)` Returns the point on top of the point number i (from the next section).
`UVVector` | `uvAt(int i)` Returns the texture's uv-coordinates of the point.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Field Detail

### previous

    public MeshSection previous

### next

    public MeshSection next

### mapV

    public double mapV

Constructor Detail

### MeshSection

    public MeshSection(int ptcnt,
                       double v)

Method Detail

### addPoint

    public void addPoint(Vector pt,
                         double mapU)

  Adds a point to the mesh section

  Parameters:
    `pt` -
    `mapU` -

### pointAt

    public Vector pointAt(int i)

  Returns the location point of the vertex i.

  Parameters:
    `i` -
  Returns:
    location point of the vertex i

### allVertices

    public java.util.Enumeration allVertices(boolean UVVertices)

### allFaces

    public java.util.Enumeration allFaces(int startIndex,
                                          boolean UVFaces,
                                          boolean useQuads)

### uvAt

    public UVVector uvAt(int i)

  Returns the texture's uv-coordinates of the point.

  Parameters:
    `i` -
  Returns:
    texture's uv-coordinates of the point

### isFirst

    public boolean isFirst()

### isLast

    public boolean isLast()

### faceCount

    public int faceCount(boolean useQuads)

  Returns the number of faces between this section and the next one.

  Parameters:
    `useQuads` -
  Returns:
    number of faces between this section and the next one

### normalAt

    public Vector normalAt(int i)
                    throws java.lang.Exception

  Returns the normal of the vertex i.

  Parameters:
    `i` -
  Returns:
    normal of the vertex i
  Throws:
    `java.lang.Exception`

### here

    public Vector here(int i)

  Returns the point number i.

  Parameters:
    `i` -
  Returns:
    point number i

### left

    public Vector left(int i)

  Returns the point to the left of the point number i

  Parameters:
    `i` -
  Returns:
    point to the left of the point number i

### right

    public Vector right(int i)

  Returns the point to the right of the point number i

  Parameters:
    `i` -
  Returns:
    point to the right of the point number i

### up

    public Vector up(int i)

  Returns the point on top of the point number i (from the next section). The next section has the same number of points or only one point.

  Parameters:
    `i` -
  Returns:
    point on top of the point number i

### down

    public Vector down(int i)

  Returns the point below the point number i (from the previous section). The next section has the same number of points or only one point.

  Parameters:
    `i` -
  Returns:
    point below the point number i

### normal

    public Vector normal(Vector a,
                         Vector b,
                         Vector c)

  Returns the normal of the plane built by the vectors a-b and c-b

  Parameters:
    `a` -
    `b` -
    `c` -
  Returns:
    normal of the plane built by the vectors a-b and c-b

### setNormalsToVector

    public void setNormalsToVector(Vector vec)

  Sets all normals to the vector vec

  Parameters:
    `vec` -

### setNormalsUp

    public void setNormalsUp()

  Sets all normals to the average of the two left and right upper triangles

### setNormalsDown

    public void setNormalsDown()

  Sets all normals to the average of the two left and right lower triangles

### setNormalsUpDown

    public void setNormalsUpDown()

  Sets all normals to the average of the four left and right upper and lower triangles

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD